import request from '@/utils/request'

// 用户充值表列表
export function apiUserRechargeLists(params: any) {
    return request.get({ url: '/user_recharge/userrecharge/lists', params })
}

// 添加用户充值表
export function apiUserRechargeAdd(params: any) {
    return request.post({ url: '/user_recharge/userrecharge/add', params })
}

// 编辑用户充值表
export function apiUserRechargeEdit(params: any) {
    return request.post({ url: '/user_recharge/userrecharge/edit', params })
}

// 删除用户充值表
export function apiUserRechargeDelete(params: any) {
    return request.post({ url: '/user_recharge/userrecharge/delete', params })
}

// 用户充值表详情
export function apiUserRechargeDetail(params: any) {
    return request.get({ url: '/user_recharge/userrecharge/detail', params })
}

// 充值订单退款
export function apiUserRechargeRefund(params: any) {
    return request.post({ url: '/user_recharge/userrecharge/refund', params })
}
